Bug 1107678 - Cannot import environments, classes even with foreman 1.5.0
Summary: Cannot import environments, classes even with foreman 1.5.0
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Capsule
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Dominic Cleal
QA Contact: Tazim Kolhar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-10 12:42 UTC by Bryan Kearney
Modified: 2016-04-26 00:58 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-09-11 12:24:12 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 5856 None None None 2016-04-22 14:54 UTC

Description Bryan Kearney 2014-06-10 12:42:05 UTC
Superficially similar to #5792, but we are running Foreman and proxy at 1.5.0.

Clicking 'import classes from puppetmaster' or 'import environments from puppetmaster' results in the 406 error, and the foreman proxy logs show:

<pre>
I, [2014-05-21T11:41:30.462997 #20033]  INFO -- : Initializing from Puppet config file: /etc/puppet/puppet.conf
I, [2014-05-21T11:41:30.590418 #20033]  INFO -- : Initializing from Puppet config file: /etc/puppet/puppet.conf
I, [2014-05-21T11:41:30.720226 #20033]  INFO -- : Initializing from Puppet config file: /etc/puppet/puppet.conf
I, [2014-05-21T11:41:30.785593 #20033]  INFO -- : Initializing from Puppet config file: /etc/puppet/puppet.conf
E, [2014-05-21T11:41:30.892108 #20033] ERROR -- : Failed to show puppet classes: no 'environments' in {:root_environment=>#<Puppet::Node::Environment:0x7f4427990d28 @config_version=nil, @name=:"*root*", @manifest="/etc/foreman-proxy", @modulepath=[], @watching=true>, :current_environment=>#<Puppet::Node::Environment:0x7f4427990d28 @config_version=nil, @name=:"*root*", @manifest="/etc/foreman-proxy", @modulepath=[], @watching=true>} at top of []

# rpm -qa \*foreman\*
foreman-compute-1.5.0-1.el6.noarch
foreman-proxy-1.5.0-1.el6.noarch
foreman-release-1.5.0-1.el6.noarch
foreman-postgresql-1.5.0-1.el6.noarch
rubygem-foreman_api-0.1.11-1.el6.noarch
foreman-selinux-1.5.0-1.el6.noarch
foreman-vmware-1.5.0-1.el6.noarch
foreman-installer-1.5.0-1.el6.noarch
rubygem-hammer_cli_foreman-0.1.0-1.el6.noarch
foreman-1.5.0-1.el6.noarch
# rpm -qa \*puppet\*
puppet-3.6.0-1.el6.noarch
mcollective-puppet-common-1.7.2-1.el6.noarch
mcollective-puppet-client-1.7.2-1.el6.noarch
puppetlabs-release-6-10.noarch
mcollective-puppet-agent-1.7.2-1.el6.noarch
puppetdb-2.0.0-1.el6.noarch
puppet-server-3.6.0-1.el6.noarch
puppetdb-terminus-2.0.0-1.el6.noarch
ruby193-puppet-3.1.1-6.el6.noarch
</pre>

Comment 1 Bryan Kearney 2014-06-10 12:42:07 UTC
Created from redmine issue http://projects.theforeman.org/issues/5856

Comment 2 Bryan Kearney 2014-06-10 12:42:12 UTC
Upstream bug assigned to dcleal@redhat.com

Comment 3 Bryan Kearney 2014-06-10 13:03:55 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/5856 has been closed

Comment 6 Dominic Cleal 2014-08-12 07:58:44 UTC
To verify:

1. Check puppet and puppet-server are 3.6.0 or higher
2. Upload a Puppet module into a Puppet repo, add to a content view and publish the first version
3. Configure > Puppet classes, check that the module is now listed

Comment 7 Tazim Kolhar 2014-08-12 08:06:35 UTC
VERIFIED:

Puppet module is listed

Comment 8 Bryan Kearney 2014-09-11 12:24:12 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.